Pandabase
Storefront APIsStore

Get store

GET
/stores/{storeId}

Returns public store information including branding, description, and social links.

Path Parameters

storeId*string

Store ID (shp_ prefix)

Response Body

application/json

application/json

curl -X GET "https://example.com/stores/string"
{  "ok": true,  "data": {    "id": "string",    "name": "string",    "handle": "string",    "slug": "string",    "description": "string",    "summary": "string",    "logo": "string",    "favicon": "string",    "accentColor": "string",    "primaryColor": "string",    "supportEmail": "string",    "category": [      "string"    ],    "twitterUrl": "string",    "instagramUrl": "string",    "linkedinUrl": "string",    "youtubeUrl": "string",    "tiktokUrl": "string"  }}

Last updated on